🪙Withdraw Asynchronous Notification

After the withdraw is completed, the system will automatically send a notification message to the callback address (notifyUrl) associated with the withdraw to inform you of the final status of the withdraw.

Method:POST

Parameter Type:application/json

Parameter:

Field Name

Field Type

Required

Signature

Instruction

appId

string

True

True

Merchant APP ID

orderNo

string

True

True

UPay withdraw number

merchantOrderNo

string

True

True

Merchant withdraw number

chainType

string

True

True

Network:1: Tron (TRC20) 2: Ethereum (ERC20)

crypto

string

True

True

Amount, Unit: USDT

toAddress

string

True

True

Payee address

status

string

True

True

Payment status, for details, see: Withdrawal Status

createdAt

string

True

True

Order creation time, Unix second level timestamp

completedAt

string

True

True

Order completion time, Unix second level timestamp

attach

string

False

False

User-defined data will be returned unchanged when calling back to notifyUrl.

signature

string

True

False

Data signature, see: Signature Algorithm

Notification return

After receiving the notification information, the merchant will output OK or ok (php example: echo "OK";) in the body of the response body. Otherwise, the point-to-point notification will be sent 5 times.

Notification retry policy

If the first notification fails, subsequent notification frequency (seconds): 10, 30, 60, 300, 600.

Withdrawal Status:

status
Field Type
Instruction

0

string

Awaiting payment

1

string

Payment success

2

string

Payment failure

Last updated